summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-im/spectrum/spectrum-9999.ebuild43
-rw-r--r--net-libs/libpurple/libpurple-2.7.1-r1.ebuild10
2 files changed, 44 insertions, 9 deletions
diff --git a/net-im/spectrum/spectrum-9999.ebuild b/net-im/spectrum/spectrum-9999.ebuild
new file mode 100644
index 0000000..5456d49
--- /dev/null
+++ b/net-im/spectrum/spectrum-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit cmake-utils git
+
+DESCRIPTION="A new xmpp transport based on libpurple"
+HOMEPAGE="http://spectrum.im"
+
+EGIT_PROJECT="spectrum"
+EGIT_REPO_URI="git://github.com/hanzz/${EGIT_PROJECT}.git"
+EGIT_TREE="master"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+RDEPEND="dev-libs/poco[sqlite]
+ net-libs/libpurple
+ >=net-libs/gloox-1.0
+ || (
+ dev-libs/poco[mysql]
+ dev-libs/poco[sqlite]
+ )"
+DEPEND="${RDEPEND}
+ sys-devel/gettext"
+
+src_install () {
+ cmake-utils_src_install
+
+ #install init scripts and configs
+ #insinto /etc/spectrum
+ #for protocol in msn yahoo facebook icq myspace gg aim simple irc; do
+# sed -e 's,SPECTRUMGEN2PROTOCOL,'${protocol}',g' "${FILESDIR}/spectrum.cfg" > "${WORKDIR}/spectrum-${protocol}.cfg" || die
+# doins "${WORKDIR}/spectrum-${protocol}.cfg" || die
+
+# sed -e 's,SPECTRUMGEN2PROTOCOL,'${protocol}',g' "${FILESDIR}/spectrum.init" > "${WORKDIR}/spectrum-${protocol}" || die
+# doinitd "${WORKDIR}/spectrum-${protocol}" || die
+# done
+}
diff --git a/net-libs/libpurple/libpurple-2.7.1-r1.ebuild b/net-libs/libpurple/libpurple-2.7.1-r1.ebuild
index 02ac0bc..d58f48b 100644
--- a/net-libs/libpurple/libpurple-2.7.1-r1.ebuild
+++ b/net-libs/libpurple/libpurple-2.7.1-r1.ebuild
@@ -15,7 +15,7 @@ LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha ~amd64 hppa ia64 ~ppc ~ppc64 sparc x86"
IUSE="debug doc gadu gnutls idn krb4 meanwhile"
-IUSE+=" nls perl silc tcl tk qq sasl "
+IUSE+=" nls perl silc qq sasl "
IUSE+=" groupwise prediction python zephyr zeroconf" # mono"
# dbus requires python to generate C code for dbus bindings (thus DEPEND only).
@@ -25,9 +25,6 @@ IUSE+=" groupwise prediction python zephyr zeroconf" # mono"
RDEPEND="
>=dev-libs/glib-2.12
>=dev-libs/libxml2-2.6.18
- ncurses? ( sys-libs/ncurses[unicode]
- dbus? ( <dev-lang/python-3 )
- python? ( <dev-lang/python-3 ) )
zeroconf? ( net-dns/avahi )
perl? ( >=dev-lang/perl-5.8.2-r1[-build] )
gadu? ( >=net-libs/libgadu-1.9.0[-ssl] )
@@ -36,8 +33,6 @@ RDEPEND="
meanwhile? ( net-libs/meanwhile )
silc? ( >=net-im/silc-toolkit-1.0.1 )
zephyr? ( >=app-crypt/mit-krb5-1.3.6-r1[krb4?] )
- tcl? ( dev-lang/tcl )
- tk? ( dev-lang/tk )
sasl? ( dev-libs/cyrus-sasl:2 )
idn? ( net-dns/libidn )"
# Mono support crashes pidgin
@@ -130,13 +125,10 @@ src_configure() {
$(use gtk && use_enable prediction cap) \
$(use gtk && use_enable eds gevolution) \
$(use_enable perl) \
- $(use_enable tk) \
- $(use_enable tcl) \
$(use_enable debug) \
$(use_enable meanwhile) \
$(use_enable sasl cyrus-sasl ) \
$(use_enable doc doxygen) \
- $(use_enable networkmanager nm) \
$(use zephyr && use_with krb4) \
$(use_enable zeroconf avahi) \
$(use_enable idn) \